$LastChangedDate: 27-Juil-2011 $

# CL_kp_M2E

Mean anomaly to eccentric anomaly (Kepler's equation)

## Calling Sequence

       E = CL_kp_M2E(ecc,M)

## Description

- Solves Kepler's equation for hyperbolic or elliptical orbits.

  Given the eccentricity ecc and the mean anomaly M, this function computes the eccentric anomaly E, such that :

  - Elliptical orbits ( ecc < 1 ) : E - ecc * sin(E) = M

  - Hyperbolic orbits ( ecc > 1 ) : ecc * sinh(E) - E = M

## Parameters

M:

  Mean anomaly [rad] (PxN or Px1)

ecc:

  Eccentricity (PxN or Px1)

E:

  Eccentric anomaly [rad] (PxN)

## Authors

- CNES - DCT/SB

## Bibliography

- 1) CNES - MSLIB FORTRAN 90, Volume V (mvi_kepler_hyperb)

## See also

- CL_kp_M2Ecir

## Examples

    E = CL_kp_M2E(0.001,3*%pi/8) // elliptical orbit
    E = CL_kp_M2E(1.1,3*%pi/8) // hyperbolic orbit